<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Material Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Material.html">Ogre::Material</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f53b1f86d73503ec336f3a21b491f59b">_fireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#66ab9a0f0ef89e66a0f0e0349433af39">_notifyNeedsRecompile</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#7e248a1cca0662418d4ab3f63c2e7cf6">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#27713fbf67e85e0da2fe4c07c37bddf8">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#9f3c19add96a8d8256883cd482a35e46">applyDefaults</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8769386ac3a7cfe3adf13ae5cae273e1">applyTextureAliases</a>(const AliasTextureNamePairList &amp;aliasList, const bool apply=true) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#e52a5d97df8fc5f621df2a9376b5f84b">BestTechniquesBySchemeList</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#6b7f88e5dc87f595e875b795014b693c">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f86a189bd81f8770750443ec906eff6f">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#c6b816e870fc8ac82e448706070aa914">clearBestTechniqueList</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8f0507439022892fc19ca7f5f6317774">clone</a>(const String &amp;newName, bool changeGroup=false, const String &amp;newGroup=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#1f51926064eaa39f9d85393b41bb8870">compile</a>(bool autoManageTextureUnits=true)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#9888035216e1a60f6aece5d027a857b0">copyDetailsTo</a>(MaterialPtr &amp;mat) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#f4238db138727651e692e015e378134a">createTechnique</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#4a423d5fcac9fce32bf1c497653cd2ac">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#f2afc1a9e3424a170e3321844d37eb31">getBestTechnique</a>(unsigned short lodIndex=0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#36da1bc08aaf6af5d410e505d5676d4f">getCompilationRequired</a>() const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b6e377a3964d566ea112fe63bf1d7678">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#980cb848898544602746e82ffe5afe1b">getGroup</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#efd258479b788213275bbe1b54b52f85">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#8408ffbd3ddfaac116e8565d2163975a">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#fb196ee7114332b21bed2b8daafdc280">getLodDistanceIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#71a8ecf650522faf2a39b42969c61916">getLodIndex</a>(Real d) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#64fb6ad079fac3e0a8c992c8bb78ca45">getLodIndexSquaredDepth</a>(Real squaredDepth) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c53229433c56a309c72da721b15d37ef">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#c1f9f57f0554fee70a43699c97282e04">getNumLodLevels</a>(unsigned short schemeIndex) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#dc0b0cf0ed5a7225dc07a20543896338">getNumLodLevels</a>(const String &amp;schemeName) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#d69c068dd3a2ff367b16b9dea815c5c9">getNumSupportedTechniques</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ae13cbf565ab69622b3c19dc0166ba51">getNumTechniques</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#45bc7dcdc46cb3fa7c12140cc57b5611">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#5cdf34620f4cde27d69dda252081f18c">getReceiveShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#965e3586c6755f89259d1031a14523d7">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ccfd676f253b906ab3e661b8453465ee">getSupportedTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#96a7e49668804887511eeb1af691ace0">getSupportedTechniqueIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#bc82b3c4963c8d3cd04c93fdc6dbf416">getTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#45adc5d6aaebd5b77cfa663fa055eb83">getTechnique</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#2b00231e68df74a029421e1511ae97d6">getTechniqueIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ae8ee2517456bdd4b01217e40045fd7c">getTransparencyCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#9d89348c66c6d66bd3a25764d6e8888c">getUnsupportedTechniquesExplanation</a>() const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#7a9a48cea7c022a76a10b046f957c25e">insertSupportedTechnique</a>(Technique *t)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#da62272e0e10c5ca5f619a2cdc348594">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2de2f45c5e800d11b3b2d5119d53eab">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2e265ae571e26eb5e2c57a5fe17ad9c">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#784ac37435bd89e6e0e31e58e8da22bf">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#768a085e698111d59fcb7e2d36d53f88">isTransparent</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#edf85fc311b08d402ec8bcdb145fdfd1">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#557b4a5fa14441a471269de195cc8241">loadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572ca38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572cf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#36ac498818b256e25ee892f8f4227bd3">LodDistanceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#497fdcfaa49b34e88107cca9e0b76adc">LodDistanceList</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#861b3798776cd89817dbf6593cefa4b8">LodTechniques</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#e3c92b81e6c247286c2304f320a368ef">Material</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#00bfe1380be4c044551121bbd7fb8359">MaterialManager</a> class</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#bf8912f7095a732da38674eb70969788">mBestTechniquesBySchemeList</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#9a746dac3104b618973e9cb090752376">mCompilationRequired</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#170f4e3111f1338b45bf55d2f497a4be">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#2c077edec67eb0b5ba5489e9d20e2686">mLodDistances</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a1667bc10463df4c60d3ca09d5250a26">mReceiveShadows</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#fdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#70c34733a2a03532e537c12478532267">mSupportedTechniques</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#e158fb2cce67f89ba7ee840bb8ef23c2">mTechniques</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ecf730df2c994846c06763f4eb163361">mTransparencyCastsShadows</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#97d8c59610740bad4047c69c3986782d">mUnsupportedReasons</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#da9d917b97ae23bbd61ab8a811dd14cf">operator=</a>(const Material &amp;rhs)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#9921da2e3e8247f469d7cac832c2dfa9">queueFireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#1158a82d9399448666ea415d5f9a10a9">removeAllTechniques</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#2cc39b7ae56b8137edd6c5a55519cfac">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8a81c60f958b0f3615c8690583c10d52">removeTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#284464b0561a6f2915f04b0245b987f0">SceneManager</a> class</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#51a76c34cc1ae2a069c6d6440738d291">setAmbient</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#f2788cd021eba0164ff6020de64d417e">setAmbient</a>(const ColourValue &amp;ambient)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#126372a71844bda74011ccd5088f706c">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#b88f2abf1ca49a99555820fce32f75a0">setColourWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8937a20eafba0997f7a6889fd6a188e4">setCullingMode</a>(CullingMode mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#cb0cf0ddfd03f3c4fd1d6dc278076463">setDepthBias</a>(float constantBias, float slopeScaleBias)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#44413ef81066bc9a44e29361749a0f6e">setDepthCheckEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#5e6e5526611a5f10203225e4d2f86d0c">setDepthFunction</a>(CompareFunction func)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#bdb247ea40cec3c59c3a8726664695c8">setDepthWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ebf26724438956ed04cdc0834f088567">setDiffuse</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#c074b3eb66c45685be8fb4b0ebbebcd6">setDiffuse</a>(const ColourValue &amp;diffuse)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#32937d27d1a0211a76d9ce8035a221ee">setFog</a>(bool overrideScene, FogMode mode=FOG_NONE, const ColourValue &amp;colour=ColourValue::White, Real expDensity=0.001, Real linearStart=0.0, Real linearEnd=1.0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#758ce629d7d709a7038ede19d21f59cf">setLightingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#bdfc308137991b459582b20b2db26c77">setLodLevels</a>(const LodDistanceList &amp;lodDistances)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#d7cff3d355ac80a2325ff77448c48177">setManualCullingMode</a>(ManualCullingMode mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8c26b7ccb050d96cd031db31bf996b48">setPointSize</a>(Real ps)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#be6a4371ce72c7bf1cf5a0c2e9259815">setReceiveShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#8c9ccac6e60241a1865ac211e3b203c8">setSceneBlending</a>(const SceneBlendType sbt)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#145badc7cadec0958241a47b6037b3e6">setSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#0b498763bb992542e1094a027602b2bf">setSelfIllumination</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#27911290eaa7990dea483f62d27c9285">setSelfIllumination</a>(const ColourValue &amp;selfIllum)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#be72697aa6f639a23d2003fc10d3939b">setShadingMode</a>(ShadeOptions mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#008c264b3fa918677120621d6a112f99">setShininess</a>(Real val)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#1bb1aed9081702e2b7f65d32be7caad4">setSpecular</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#c0fd7b4c5684270dc61e57ef6ddef4f2">setSpecular</a>(const ColourValue &amp;specular)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a0725c90c26094f73c04eedd51773bee">setTextureAnisotropy</a>(int maxAniso)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#2424a948e95a581d1b7de87ea14e7131">setTextureFiltering</a>(TextureFilterOptions filterType)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#5552baf6c922eb48a981f7c51aadc5e2">setTransparencyCastsShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#4969168248bff6aea70eafcf75497689">TechniqueIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#73e00de2aaa067ae659c56c886337b36">Techniques</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#340e9c6140a5b0f3467596712aa122a9">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#0d6ca8b12c3058519321f058da8bf7a3">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#2e2118319d3d7cb1610869c33ab766eb">~Material</a>()</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:25 2008
</p>
</body>
</html>
